VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Compare Dates"
   ClientHeight    =   2685
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6465
   LinkTopic       =   "Form1"
   ScaleHeight     =   2685
   ScaleWidth      =   6465
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCompare 
      Caption         =   "Compare!"
      Height          =   855
      Left            =   360
      TabIndex        =   2
      Top             =   1320
      Width           =   1335
   End
   Begin VB.TextBox txtSecondDate 
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Text            =   "1/1/2040"
      Top             =   360
      Width           =   1935
   End
   Begin VB.TextBox txtFirstDate 
      Height          =   375
      Left            =   960
      TabIndex        =   0
      Text            =   "1/1/1970"
      Top             =   360
      Width           =   1935
   End
   Begin VB.Label lblDateToSecondsResult 
      Caption         =   "DateToSeconds() says:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2160
      TabIndex        =   7
      Top             =   1920
      Width           =   3615
   End
   Begin VB.Label lblLessThanResult 
      Caption         =   "< operator says:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2160
      TabIndex        =   6
      Top             =   1200
      Width           =   3615
   End
   Begin VB.Label Label3 
      Caption         =   "?"
      Height          =   255
      Left            =   5640
      TabIndex        =   5
      Top             =   480
      Width           =   375
   End
   Begin VB.Label Label1 
      Caption         =   "is"
      Height          =   255
      Left            =   480
      TabIndex        =   4
      Top             =   480
      Width           =   375
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "<"
      Height          =   255
      Left            =   3000
      TabIndex        =   3
      Top             =   480
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private firstDate As Date
Private secondDate As Date

Private Sub cmdCompare_Click()

    ' Set the dates from text boxes
    firstDate = CDate(txtFirstDate.Text)
    secondDate = CDate(txtSecondDate.Text)
    
    CompareUsingLessThan (void)
    CompareUsingDateToSeconds (void)
        
End Sub

Private Function CompareUsingLessThan(void)
    If firstDate < secondDate Then
        lblLessThanResult.Caption = "< operator says: Yes"
    Else
        lblLessThanResult.Caption = "< operator says: No"
    End If

End Function

Private Function CompareUsingDateToSeconds(void)
    If DateToSeconds(firstDate) < DateToSeconds(secondDate) Then
        lblDateToSecondsResult.Caption = "DateToSeconds() says: Yes"
    Else
        lblDateToSecondsResult.Caption = "DateToSeconds() says: No"
    End If

End Function

Private Function DateToSeconds(ByVal datDate As Date) As Double

    ' 16-Feb-2010 Karl E. Peterson http://vb.mvps.org/

    Dim dblSeconds As Double

    Const BASE_DATE As Date = #1/1/1970#
    Const BIT_31 As Double = 2147483648#
    Const BIT_32 As Double = 4294967296#

    ' Calculate difference in seconds between
    ' base date and date passed here
    dblSeconds = CDbl(DateDiff("s", BASE_DATE, datDate))

    Select Case dblSeconds
    Case Is >= BIT_32: dblSeconds = 0
    Case Is >= BIT_31: dblSeconds = dblSeconds - BIT_32
    End Select

    DateToSeconds = dblSeconds
End Function
